Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientDatastorePlugInExtension

java.lang.Object
com.vividsolutions.jump.workbench.plugin.Extension
org.openjump.core.ui.plugin.datastore.ocient.OcientDatastorePlugInExtension

All Implemented Interfaces:
  `com.vividsolutions.jump.workbench.plugin.Configuration`

    public class OcientDatastorePlugInExtension
    extends com.vividsolutions.jump.workbench.plugin.Extension

- this class loads the PlugIn into Jump

- class has to be called "Extension" on the end of classname to use the PlugIn in Jump

Author:
  potocki

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientDatastorePlugInExtension()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `configure​(com.vividsolutions.jump.workbench.plugin.PlugInContext context)` | calls PlugIn using class method xplugin.initialize()

### Methods inherited from class com.vividsolutions.jump.workbench.plugin.Extension

`getMessage, getName, getVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientDatastorePlugInExtension

public OcientDatastorePlugInExtension()

## Method Details

### configure

public void configure​(com.vividsolutions.jump.workbench.plugin.PlugInContext context) throws Exception
calls PlugIn using class method xplugin.initialize()

Throws:
  `Exception`